This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 495561 - (Beefy) The generic logo should be more neutral, not a cheesy smiling hot dog.
The generic logo should be more neutral, not a cheesy smiling hot dog.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: generic-logos (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 15:59 EDT by Joonas Sarajärvi
Modified: 2014-03-16 23:18 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-15 13:52:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
the horror! the horror! (29.64 KB, image/png)
2009-10-08 09:41 EDT, Matthew Miller
no flags Details
Smiley based theme (143.76 KB, application/x-bzip)
2011-10-14 16:51 EDT, Pavel Roskin
no flags Details

  None (edit)
Description Joonas Sarajärvi 2009-04-13 15:59:13 EDT
Description of problem:

When I replace the fedora-logos package with generic-logos, I expect all the Fedora trademarks be replaced with some other items, which fit the system well. Most of the work is done well, but I really think that the file /usr/share/pixmaps/system-logo-white.png should be changed into something more appropriate. A smiling hot dog has nothing to do with Fedora, free software (or software in general), computers, boot (the picture is very prominently visible when booting with KMS enabled!) or anything else, which could make it suitable for the place where it is used.

For reference, I uploaded the "offending" image here: 
http://tikkulehema.no-ip.org/~joonas/system-logo-white.png

I understand that there may be lack of work force that prevents this kind of non-critical picture from getting replaced. However, I think that just replacing /usr/share/pixmaps/system-logo-white.png with a completely transparent image would be a lot better than staying with the current desing.

Thanks for reading this, and please, let even those who have to use the generic logos to have a professional look in their Fedora!

Version-Release number of selected component (if applicable):
generic-logos-10.0.1-2.fc11.noarch

How reproducible:
The image is very visible while booting, if KMS is enabled.

Steps to Reproduce:
1. Install Fedora from Rawhide
2. Make sure that KMS is enabled and working
3. Boot the system

Actual results:
Pretty, professional-looking (Not really noticeable!) boot graphics

Expected results:
Annoying, cheesy smiling big hot dog as boot logo!
Comment 1 Bill Nottingham 2009-04-14 14:20:49 EDT
Well, the point of generic-logos was that they are placeholders to be replaced with actual logos for whatever customized spin that you're using/creating. The hot dog sort of emphasizes that fact, I suppose.

If there really is a big push to not have it (this is the first bug filed to that effect) something can be done, but I strongly suggest I'm not the one to create such a logo.
Comment 2 Joonas Sarajärvi 2009-04-14 15:46:00 EDT
While I understand that the generic-logos package is nowhere as important as fedora-logos, I still think that it should be good for use by itself.

My specific use case is that I create livecd images of Rawhide for testing out stuff on a daily basis. I'd like to distribute these images to other potentially interested people, which I currently can't do without replacing fedora-logos with something else. Fortunately there is generic-logos, which lets me use Fedora packages exclusively, and doesn't require me to set up my custom repository just to have a custom "branding" in the distribution.

However, the with the current boot logo I'd feel a bit ashamed giving out these images, because I don't feel the logo is in line with the general quality and mindset of Fedora.

My preferred quick solution to this would be to replace the hot dog with Tux, the traditional Linux boot logo. If Tux is not desirable for a reason or another, my second suggestion would be to just use a completely transparent png, which would result in no logo appearing at all.
Comment 3 Bill Nottingham 2009-04-14 15:52:17 EDT
Just to clarify - why do you feel you need to remove fedora-logos for a custom rawhide spin? If you're not modifying packages, you don't have to.
Comment 4 Joonas Sarajärvi 2009-04-15 01:47:16 EDT
http://fedoraproject.org/wiki/Legal/TrademarkGuidelines#New_combinations_of_unmodified_Fedora_software

I'd guess a custom spin is mostly a new combination of unmodified Fedora software. I'd need to ask for a permission before distributing, if I didn't remove the Fedora trademarks from the spin.
Comment 5 Jens Knutson 2009-04-19 21:42:04 EDT
I, for one, welcome our new smiling hot dog masters, and would hate to see them removed.
Comment 6 Bug Zapper 2009-06-09 09:46:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Ryan Lerch 2009-10-07 21:14:28 EDT
Personally, i think the hot dog image is old and tired. Mr Hot dog has had his time in the sun, he should be replaced with Mr happy breakfast taco guy:

https://fedorahosted.org/design-team/ticket/74
Comment 8 Joshua Wulf 2009-10-07 21:22:34 EDT
In some countries a smiling hot dog is considered offensive. It's also responsible for global warming.

Can we get a more globally sustainable smiling vegetable guy, please.
Comment 9 Christopher Curran 2009-10-07 21:28:44 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=495561#c8 is there any proof there is global warming?

Also, this is not relevant to the fact this is not a bug. Cheesy Hotdog Guy is a beacon of freedom. Look at how damn free he looks!
Comment 10 Jens Knutson 2009-10-07 21:52:43 EDT
Dunno, I think Ryan might be on to something...   I think this guy (or someone inspired by him) deserves a chance to shine: http://bit.ly/g4odz
Comment 11 Ryan Lerch 2009-10-07 22:01:43 EDT
everyone, meet mr happy breakfast taco guy:

https://fedorahosted.org/design-team/attachment/ticket/74/HBTG.png
Comment 12 Matthew Miller 2009-10-08 09:41:20 EDT
Created attachment 364116 [details]
the horror! the horror!

This is the current graphic. Seemed like it should be attached to the bug for posterity.
Comment 13 Bug Zapper 2010-04-27 09:40:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-11-04 07:21:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bill Nottingham 2010-12-09 10:25:24 EST
If there is a deep seated need for this, someone needs to create one, and propose it. (I'm going out on a limb and say that the taco variations aren't sufficiently different enough.)

However, for a variety of reasons (1) I like it 2) I'm not any sort of graphics artist), I'm not specifically planning to work on this issue.
Comment 16 Chris Lumens 2010-12-09 11:00:43 EST
Also, don't take this distribution thing so seriously.  Have a sense of the absurd.
Comment 17 Jon Stanley 2011-02-04 11:13:04 EST
Just to update on the status of this bug, there are now t-shirts that have been made. Long live the beefy miracle!

http://blog.ianweller.org/2011/01/29/meet-your-new-shirt-god/
Comment 18 Pavel Roskin 2011-10-11 17:44:01 EDT
I think we need the Tux there, to be in line with the unbranded GNOME and KDE logos in the package.  There is a transparent SVG version of the Tux which can be easily rendered in all necessary ways:
http://en.wikipedia.org/wiki/File:Tux.svg
I believe Tux is culture neutral, unlike dead cow's muscles in a cylindrical form.
Comment 19 Rahul Sundaram 2011-10-12 01:04:04 EDT
Reopening.  Now that Fedora 17 release has the codename beefy miracle, the generic artwork should be ... generic.  Let's get this replaced with something reusable for remixes more.
Comment 20 Ian Weller 2011-10-12 11:24:28 EDT
(In reply to comment #19)
> Reopening.  Now that Fedora 17 release has the codename beefy miracle, the
> generic artwork should be ... generic.  Let's get this replaced with something
> reusable for remixes more.

See comment #15:
> If there is a deep seated need for this, someone needs to create one, and
> propose it. (I'm going out on a limb and say that the taco variations aren't
> sufficiently different enough.)
> 
> However, for a variety of reasons (1) I like it 2) I'm not any sort of graphics
> artist), I'm not specifically planning to work on this issue.
Comment 21 Ryan Rix 2011-10-12 11:26:20 EDT
Also comment #2:
>Well, the point of generic-logos was that they are placeholders to be replaced
>with actual logos for whatever customized spin that you're using/creating. The
>hot dog sort of emphasizes that fact, I suppose.

>If there really is a big push to not have it (this is the first bug filed to
>that effect) something can be done, but I strongly suggest I'm not the one to
>create such a logo.
Comment 22 Rahul Sundaram 2011-10-12 12:33:59 EDT
Don't close this.  If you can't find time to do it yourself, ask for help in the design team list.  The whole point of this package is to be reusable for remixes easily and the current design is a poor choice for that especially after the Fedora 17 codename vote.  I understand the reasons why someone did it a long time ago reminiscing about a fun trivia in the past but we are beyond that now.  Finding or creating a generic image cannot be such a problem for the Fedora design team.
Comment 23 Ian Weller 2011-10-12 12:46:13 EDT
(In reply to comment #22)
> Don't close this.

Why reopen this when you've been specifically asked by the package's maintainer to come back with a mockup?

> If you can't find time to do it yourself, ask for help in the design team
> list.

Go right ahead.
Comment 24 Bill Nottingham 2011-10-12 14:28:00 EDT
(In reply to comment #22)
> Don't close this.  If you can't find time to do it yourself, ask for help in
> the design team list.  The whole point of this package is to be reusable for
> remixes easily

Not exactly, it's merely there to give them a legal alternative. Note that this package predates the remix logos.

I struggle to see the usage case where someone is making a remix that differs enough that they can't use the official logo, do not want to use the already provided remix logo, but is simultaneously 1) concerned about their brand enough to not want to use the hot dog 2) unconcerned about their brand enough to want to use something generic that everyone else uses.
Comment 25 Rahul Sundaram 2011-10-13 23:23:39 EDT
@Ian Weller. if you ask for help or mockups, you need to leave the bug report open.   I have filed a ticket now at 

https://fedorahosted.org/design-team/ticket/203#preview

@Bill Nottingham,  When generic-logos was created, it was marketed as serving the needs of remixes.  Here is a simple use case that someone did tell me in the last foss.in conference:

  I am creating my own product as a easily demoable live cd before I ask customers to buy it.  I am using the base components of Fedora but I dont want to use the remix logos because a singular branding is useful for me.  Being able to use the generic logos is better and something like tux would be more appropriate than a silly (and culturally offensive to many) hot dog.
Comment 26 Will Woods 2011-10-14 11:17:15 EDT
If you want a package with generic tux-based artwork, you're free to make a 'tux-logos' package and use that. But that's outside the scope of this package.

generic-logos is *placeholder artwork*. The hot dog's purpose is to serve as a gentle reminder to replace it with something of your own choosing.

Therefore: if the hot dog bothers you so much that you want to replace it, that means it's WORKING AS DESIGNED.
Comment 27 Rahul Sundaram 2011-10-14 13:22:01 EDT
No. It isn't working as designed. There is no reason to use a hotdog which isn't normally used as any kind of placeholder artwork except for a few people using it to promote it their pet codename.  Don't keep closing this bug so eagerly.  The maintainer asked for a generic tux mockup and I have filed a ticket to provide that.  Leave it open till then.   If you want to promote hot dog images in Fedora, create a hotdog-logos package instead.
Comment 28 Bill Nottingham 2011-10-14 14:53:40 EDT
The purposes of remixes is now much better served by the remix logos. If you want something professional-looking, use them.

The purpose of "I want singular branding with a logo that's shared with every other generic remix who wants singular branding" is self-contradictory to the point of nonsense, and I as upstream am not interested in that case. If you want singular branding, do your own art.

At this point, you are jumping up and down with an argument that your interpretation of the package's use case, and its suitablity for that, is better and more correct than upstream's interepretation. It's open source, you have the freedom to fork and prove your opinion's worth, rather than demanding in bugzilla that upstream is invalid and should accept your view. Frankly, taking the second tack is unlikely to be successful in *any* sense, no matter what the upstream.

And, to be blunt: I am NOT going to add a Tux mockup to this. Period. (It's design policy in Fedora - no penguins, no hats.)
Comment 29 Will Woods 2011-10-14 15:11:07 EDT
(In reply to comment #27)
> No. It isn't working as designed. There is no reason to use a hotdog which
> isn't normally used as any kind of placeholder artwork except for a few people
> using it to promote it their pet codename.

Actually, no. The hotdog artwork predates the codename by several years. 

> Don't keep closing this bug so
> eagerly.  The maintainer asked for a generic tux mockup and I have filed a
> ticket to provide that.  Leave it open till then.

Sorry, no. This bug is filed against generic-logos; generic-logos a) will not be changed to suit the needs of people inexplicably offended by cartoon food (as per comment #28) and b) is still WORKING AS DESIGNED (as per comment #27).

You've got a ticket to track the progress of your bland, meatless tux logos already. Follow that instead.

> If you want to promote hot 
> dog images in Fedora, create a hotdog-logos package instead.

Actually that's what plymouth-theme-hot-dog is for. See bug #687987.

THANK YOU AND GOOD-NIGHT.
Comment 30 Pavel Roskin 2011-10-14 16:51:07 EDT
Created attachment 528276 [details]
Smiley based theme

Smileys are culture-neutral and penguin-free.  The graphics is made by me.
Comment 31 Máirín Duffy 2011-10-14 18:11:22 EDT
Hi Pavel,

> Smileys are culture-neutral

I wish it were so. However:
http://news.bbc.co.uk/2/hi/business/4984138.stm
Comment 32 Rahul Sundaram 2011-10-14 21:43:56 EDT
@Will Woods.   Please stop closing this bug report.  The hotdog comes from old RHL release and so does the codename. There is nothing inexplicable about why this is controversial.  Look up beef and Hindus for instances. That's a billion plus population. If you want a placeholder image, pick a neutral image.  This is a global project.
Comment 33 Chris Lumens 2011-10-15 13:52:12 EDT
Rahul, please stop reopening this bug report.  As has been explained to you several times by many people, this package is serving its purpose well and is not going to be changed.  The cultural offense argument is bunk, anyway, as hot dogs can be made out of many things and in fact in the US are often made out of various questionably pig parts.  Please try to not take this distribution thing so seriously.
Comment 34 Rahul Sundaram 2011-10-15 16:15:32 EDT
Pig parts is offensive as well to many people (hint: Muslims). So the argument is not bunk at all but apparently I am not getting anywhere here.  I don't understand how the insistence on using a hotdog makes any sense at all.  why is anyone except the maintainer closing the bug report anyway?  Don't do that.  You have no business doing so.  Why shouldn't I take the distribution thing seriously?  I am spending all my time on it.

Note You need to log in before you can comment on or make changes to this bug.